Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 622868 - 'Failed to detect total system memory' on ppc
'Failed to detect total system memory' on ppc
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: system-config-kdump (Show other bugs)
6.0
ppc64 Linux
urgent Severity medium
: rc
: 6.0
Assigned To: Roman Rakus
Chao Ye
: Regression
Depends On:
Blocks: 608020 625032 626787
  Show dependency treegraph
 
Reported: 2010-08-10 11:35 EDT by Karel Volný
Modified: 2014-01-12 19:12 EST (History)
9 users (show)

See Also:
Fixed In Version: system-config-kdump-2.0.2.2-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:42:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2010-08-10 11:35:12 EDT
Description of problem:
Recent changes introduced a regression which blocks system-config-kdump from startup on some systems. The problem is that ppc machines may have the file /proc/iomem empty. The problem may be workarounded by using the old memory detection routine.

Version-Release number of selected component (if applicable):
system-config-kdump-2.0.2.1-19.el6.noarch

How reproducible:
always
(on affected machines, for example ibm-js22-vios-01-lp2.rhts.eng.brq.redhat.com)

Steps to Reproduce:
1. system-config-kdump
  
Actual results:
a dialogue says 'Failed to detect total system memory', after clicking OK the application quits

Expected results:
a warning is shown, something like 'WARNING: Failed to detect total system memory via /proc/iomem. Reverting to old method which may lead to inaccurate results.', after clicking OK the application continues its normal operation

Additional info:
this blocks testing of bug #608020

the issue is to be resolved by IBM, please see bug #603801 comment #22 and/or issue 1172283
Comment 1 Roman Rakus 2010-08-10 11:41:02 EDT
Yep. It's easy to fix.
Hopefully we will get all acks needed to fix it to Snap11
Comment 2 Roman Rakus 2010-08-10 13:16:50 EDT
Fixed in system-config-kdump-2.0.2.2-2.el6
Comment 3 Karel Volný 2010-08-11 06:25:34 EDT
(In reply to comment #2)
> Fixed in system-config-kdump-2.0.2.2-2.el6    

... which is here: https://brewweb.devel.redhat.com/buildinfo?buildID=140355

and it works, nice

however, not yet included in the compose, so not switching to VERIFIED yet
Comment 6 John Jarvis 2010-08-19 13:52:41 EDT
Connecting IT 1172283 with this BZ.
Comment 7 John Jarvis 2010-08-20 00:12:35 EDT
IBM, the fix is in snapshot 11, please test and provide feedback.
Comment 8 Chao Ye 2010-09-01 23:13:34 EDT
(In reply to comment #5)
> Verified with system-config-kdump-2.0.2-6.el6.noarch on
> ibm-js22-03.rhts.eng.bos.redhat.com.
> Change status to VERIFIED.

Tested with latest system-config-kdump, seems the bug is not fixed.
[root@ibm-js22-03 noarch]# rpm -qa system-config-kdump kernel kexec-toolskexec-tools-2.0.0-145.el6.ppc64
system-config-kdump-2.0.2.2-2.el6.noarch
kernel-2.6.32-71.el6.ppc64
Comment 9 Roman Rakus 2010-09-02 08:49:26 EDT
And what is the output you get?
Comment 10 Roman Rakus 2010-09-02 09:26:56 EDT
I'm not hitting the bug any more with;
kernel-2.6.32-44.1.el6.ppc64
system-config-kdump-2.0.2.2-2.el6.noarch
Comment 11 Roman Rakus 2010-09-02 10:55:42 EDT
Also tried with kernel-2.6.32-71.el6.ppc64 and it works as expected.
Comment 14 Mike Gahagan 2010-09-02 11:33:59 EDT
I can't get this to work at all on a power6 system. I get the warning about not being able to find system memory. When I save the changes I get a python traceback that looks to be a permission denied somewhere (can't tell exactly as the output is cut off in my VNC session)

/proc/iomem is empty on this system so we might be looking at a kernel bug here.
Comment 16 Roman Rakus 2010-09-02 11:48:47 EDT
(In reply to comment #14)
> I can't get this to work at all on a power6 system. I get the warning about not
> being able to find system memory. When I save the changes I get a python
> traceback that looks to be a permission denied somewhere (can't tell exactly as
> the output is cut off in my VNC session)
> 
I have tried it. You are hitting another bug. The output is really about permissions. I have tried in selinux permissive mode and it works. Can you please try to update selinux-policy package?

> /proc/iomem is empty on this system so we might be looking at a kernel bug
> here.
Yep. There is also bug against this.
Comment 18 mark wisner 2010-09-02 14:09:04 EDT
Our testing today indicates this is still broken in Snap13.
Comment 19 mark wisner 2010-09-02 14:32:13 EDT
Correction - It is still broken in snap12. They are just starting Snap13 testing
Comment 21 Roman Rakus 2010-09-02 14:44:44 EDT
(In reply to comment #18)
> Our testing today indicates this is still broken in Snap13.

Can you please specify what is broken?
You should see message;
Failed to detect total system memory from /proc/iomem. Total system memory will
not be accurate.

and s-c-kdump will continue.
Comment 22 Chao Ye 2010-09-03 06:18:25 EDT
Tested with snapshot13 again on ibm-js22-03.rhts.eng.bos.redhat.com:
============================================================
[root@ibm-js22-03 ~]# rpm -q kernel kexec-tools system-config-kdump
kernel-2.6.32-71.el6.ppc64
kexec-tools-2.0.0-145.el6.ppc64
system-config-kdump-2.0.2.2-2.el6.noarch
[root@ibm-js22-03 ~]# system-config-kdump 
Gtk-Message: Failed to load module "pk-gtk-module": libpk-gtk-module.so: cannot open shared object file: No such file or directory

(system-config-kdump.py:2603): libglade-WARNING **: could not look up stock id 'Enable kdump'

(system-config-kdump.py:2603): libglade-WARNING **: could not look up stock id 'Disable kdump'
/usr/share/system-config-kdump/system-config-kdump.py:444: GtkWarning: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
  self.xml = gtk.glade.XML ("/usr/share/system-config-kdump/system-config-kdump.glade", domain=DOMAIN)
/usr/share/system-config-kdump/system-config-kdump.py:444: GtkWarning: gtk_radio_button_set_group: assertion `!g_slist_find (group, radio_button)' failed
  self.xml = gtk.glade.XML ("/usr/share/system-config-kdump/system-config-kdump.glade", domain=DOMAIN)
/usr/share/system-config-kdump/system-config-kdump.py:769: GtkWarning: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
  self.kdump_mem_spin_button.set_adjustment(kdump_mem_adj)
/usr/share/system-config-kdump/system-config-kdump.py:803: GtkWarning: gtk_window_realize_icon: assertion `info->icon_pixmap == NULL' failed
  self.toplevel.show()
[root@ibm-js22-03 ~]# cat /proc/iomem 
3c0000000000-3c007fffffff : /pci@800000020000200
  3c007efa0000-3c007efbffff : 0000:00:01.0
  3c007efc0000-3c007effffff : 0000:00:01.0
    3c007efc0000-3c007effffff : ipr
  3c007f000000-3c007fffffff : 0000:00:01.0
    3c007f000000-3c007fffffff : ipr
3c0080000000-3c00ffffffff : /pci@800000020000201
  3c00ffffd000-3c00ffffd0ff : 0001:00:01.2
    3c00ffffd000-3c00ffffd0ff : ehci_hcd
  3c00ffffe000-3c00ffffefff : 0001:00:01.0
    3c00ffffe000-3c00ffffefff : ohci_hcd
  3c00fffff000-3c00ffffffff : 0001:00:01.1
    3c00fffff000-3c00ffffffff : ohci_hcd
3c0100000000-3c017fffffff : /pci@800000020000202
  3c0177fd0000-3c0177fdffff : 0002:00:01.0
  3c0177fe0000-3c0177ffffff : 0002:00:01.0
  3c0178000000-3c017fffffff : 0002:00:01.0
    3c0178000000-3c017808c9ff : offb
[root@ibm-js22-03 ~]# cat /proc/meminfo 
MemTotal:        3740608 kB
MemFree:         2746240 kB
Buffers:           64576 kB
Cached:           605504 kB
SwapCached:            0 kB
Active:           487296 kB
Inactive:         331520 kB
Active(anon):     151296 kB
Inactive(anon):      192 kB
Active(file):     336000 kB
Inactive(file):   331328 kB
Unevictable:           0 kB
Mlocked:               0 kB
SwapTotal:       5848960 kB
SwapFree:        5848960 kB
Dirty:                 0 kB
Writeback:             0 kB
AnonPages:        148928 kB
Mapped:            36928 kB
Shmem:              2880 kB
Slab:             128832 kB
SReclaimable:      32448 kB
SUnreclaim:        96384 kB
KernelStack:        4176 kB
PageTables:        11968 kB
NFS_Unstable:          0 kB
Bounce:                0 kB
WritebackTmp:          0 kB
CommitLimit:     7719232 kB
Committed_AS:     301632 kB
VmallocTotal:   8589934592 kB
VmallocUsed:       24640 kB
VmallocChunk:   8589868864 kB
HugePages_Total:       0
HugePages_Free:        0
HugePages_Rsvd:        0
HugePages_Surp:        0
Hugepagesize:      16384 kB
------------------------------------------------------------------------------------------------------------------------
And I got a Message Error said :
"Failed to detect total system memory from "/proc/iomem. Total system memory will not be accurate.
And I captured the window.


Also tested on ibm-js22-vios-02-lp1.rhts.eng.brq.redhat.com:
============================================================
[root@ibm-js22-vios-02-lp1 ~]# rpm -q kexec-tools kernel system-config-kdump
kexec-tools-2.0.0-143.el6.ppc64
kernel-2.6.32-70.el6.ppc64
kernel-2.6.32-12.el6.ppc64
system-config-kdump-2.0.2.2-2.el6.noarch
[root@ibm-js22-vios-02-lp1 ~]# uname --all
Linux ibm-js22-vios-02-lp1.rhts.eng.brq.redhat.com 2.6.32-70.el6.ppc64 #1 SMP Wed Aug 25 11:09:30 EDT 2010 ppc64 ppc64 ppc64 GNU/Linux
[root@ibm-js22-vios-02-lp1 ~]# cat /proc/iomem 
[root@ibm-js22-vios-02-lp1 ~]# cat /proc/meminfo 
MemTotal:        5986816 kB
MemFree:         5008704 kB
Buffers:           62656 kB
Cached:           598464 kB
SwapCached:            0 kB
Active:           470912 kB
Inactive:         333440 kB
Active(anon):     145408 kB
Inactive(anon):       64 kB
Active(file):     325504 kB
Inactive(file):   333376 kB
Unevictable:           0 kB
Mlocked:               0 kB
SwapTotal:       8339328 kB
SwapFree:        8339328 kB
Dirty:              1280 kB
Writeback:             0 kB
AnonPages:        143744 kB
Mapped:            36160 kB
Shmem:              2304 kB
Slab:             129536 kB
SReclaimable:      31744 kB
SUnreclaim:        97792 kB
KernelStack:        4112 kB
PageTables:        11648 kB
NFS_Unstable:          0 kB
Bounce:                0 kB
WritebackTmp:          0 kB
CommitLimit:    11332736 kB
Committed_AS:     285056 kB
VmallocTotal:   8589934592 kB
VmallocUsed:       24384 kB
VmallocChunk:   8589874048 kB
HugePages_Total:       0
HugePages_Free:        0
HugePages_Rsvd:        0
HugePages_Surp:        0
Hugepagesize:      16384 kB
Comment 25 Roman Rakus 2010-09-03 09:38:50 EDT
ChaoYe: This bug is about the situation, when s-c-kdump failed to read memory from /proc/iomem. Previously it failed and not continues to work. Now, with the fix for this bug, s-c-kdump tried to read memory from /proc/iomem. If it failed, read the memory from /proc/meminfo and shows error message you mentioned and continues to work. So your screenshots are verifying the fix.
Comment 27 Chao Ye 2010-09-05 22:30:53 EDT
(In reply to comment #25)
> ChaoYe: This bug is about the situation, when s-c-kdump failed to read memory
> from /proc/iomem. Previously it failed and not continues to work. Now, with the
> fix for this bug, s-c-kdump tried to read memory from /proc/iomem. If it
> failed, read the memory from /proc/meminfo and shows error message you
> mentioned and continues to work. So your screenshots are verifying the fix.

I agree with your logic. But can you have a look at comment 22, the ibm-js22-03.rhts.eng.bos.redhat.com do have content in its /proc/iomem.
Comment 28 Roman Rakus 2010-09-06 04:14:08 EDT
(In reply to comment #27)
> (In reply to comment #25)
> > ChaoYe: This bug is about the situation, when s-c-kdump failed to read memory
> > from /proc/iomem. Previously it failed and not continues to work. Now, with the
> > fix for this bug, s-c-kdump tried to read memory from /proc/iomem. If it
> > failed, read the memory from /proc/meminfo and shows error message you
> > mentioned and continues to work. So your screenshots are verifying the fix.
> 
> I agree with your logic. But can you have a look at comment 22, the
> ibm-js22-03.rhts.eng.bos.redhat.com do have content in its /proc/iomem.

Yep, but it's hard to determine from the content how much memory the system has. Looking at the file, it has no lines saying what is RAM.
Comment 29 Chao Ye 2010-09-06 04:20:40 EDT
Based on comment #22 and comment #25, change status to VERIFIED.
Comment 31 releng-rhel@redhat.com 2010-11-10 16:42:16 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.